#include <iostream>
#include <bits/stdc++.h>
using namespace std;

const int mod=998244353;

int main()
{
    int n, m, k;

    cin >> n >> m >> k;
    long long colourings;

    if(k==1)
    {
        colourings=1;
        for(int i=0; i<n; i++)
        {
            colourings=((colourings*m)%mod);
        }
    }

    cout << colourings;


    return 0;
}
